import { Component, Input, OnInit } from '@angular/core';
import { UserService } from '../../../../../services/user.service';

@Component({
  selector: 'app-profile-picture',
  standalone: false,
  templateUrl: './profile-picture.component.html',
  styleUrl: './profile-picture.component.scss'
})
export class ProfilePictureComponent implements OnInit {
  @Input("username") public username!: string;
  public url?: string;

  constructor(private userService: UserService) { }

  ngOnInit(): void {
    this.userService.GetProfilePictureURL(this.username)
      .subscribe(url => this.url = url);
  }
}
