import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { Channel } from '../models/channel';
import { Message } from '../models/message';

@Injectable({
  providedIn: 'root'
})
export class ChatService {

  constructor() { }

  public ListChannels(): Observable<Channel[]> {
    return new Observable<Channel[]>(subscriber => {
      subscriber.next([
        {
          id: 0,
          name: 'default',
          description: 'this is the default channel'
        },
        {
          id: 1,
          name: 'gaming',
          description: 'this is another channel'
        },
      ]);
      subscriber.complete();
    });
  }

  public GetMessages(channelID: number): Observable<Message[]> {
    return new Observable<Message[]>(subscriber => {
      subscriber.next([
        {
          id: 1,
          sender: 'Test User 1',
          channel: 1,
          time: new Date(),
          content: 'this is my first message'
        },
        {
          id: 2,
          sender: 'Test User 2',
          channel: 2,
          time: new Date(),
          content: 'this is my second message'
        }
      ]);
      subscriber.complete();
    });
  }
}
